Page MenuHomePhabricator

Release AuthManager with MediaWiki 1.27
Closed, ResolvedPublic

Description

AuthManager is MediaWiki's new authentication system; it replaces AuthPlugin, and requires a rewrite of all authentication-related special pages, APIs and extensions, and changes in a number of core classes. To avoid support hell, AuthManager needs to be released with 1.27 (which is an LTS version which will be supported for 3 years).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable AuthManager in beta
mediawiki/core : REL1_27Enable AuthManager by default
mediawiki/core : masterEnable AuthManager by default
mediawiki/core : masterEnable AuthManager by default
operations/mediawiki-config : masterSet $wgDisableAuthManager = true

Related Objects

StatusAssignedTask
ResolvedDeskana
ResolvedAnomie
OpenNone
ResolvedAnomie
OpenNone
ResolvedTgr
ResolvedAnomie
OpenNone
OpenNone
Resolveddemon
ResolvedTgr
ResolvedAnomie
ResolvedAnomie
ResolvedJoe
ResolvedJoe
Resolvedhashar
Resolved bd808
ResolvedAnomie
ResolvedKrinkle
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
ResolvedTgr
DuplicateNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolved bd808
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDereckson
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedAnomie
ResolvedNikerabbit
ResolvedAnomie
ResolvedTgr
ResolvedAnomie
ResolvedTgr
Resolveddemon
ResolvedAnomie
ResolvedAnomie
ResolvedJdforrester-WMF
ResolvedYurik
ResolvedYurik
ResolvedMilimetric
ResolvedTgr
ResolvedTgr
ResolvedAnomie
ResolvedTgr

Event Timeline

Tgr created this task.May 17 2016, 11:48 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 11:48 AM
Tgr renamed this task from Release AuthManager with 1.27 to Release AuthManager with MediaWiki 1.27.May 17 2016, 11:49 AM

List of backports for core and the bundled extensions

Change 289413 had a related patch set uploaded (by Gergő Tisza):
Set $wgDisableAuthManager = true

https://gerrit.wikimedia.org/r/289413

Change 289413 merged by jenkins-bot:
Set $wgDisableAuthManager = true

https://gerrit.wikimedia.org/r/289413

Change 289498 had a related patch set uploaded (by Gergő Tisza):
Enable AuthManager

https://gerrit.wikimedia.org/r/289498

Change 289866 had a related patch set uploaded (by Gergő Tisza):
Enable AuthManager in beta

https://gerrit.wikimedia.org/r/289866

Change 289498 merged by jenkins-bot:
Enable AuthManager by default

https://gerrit.wikimedia.org/r/289498

Change 290809 had a related patch set uploaded (by Gergő Tisza):
Enable AuthManager by default

https://gerrit.wikimedia.org/r/290809

Change 290809 merged by jenkins-bot:
Enable AuthManager by default

https://gerrit.wikimedia.org/r/290809

Change 291227 had a related patch set uploaded (by Gergő Tisza):
Enable AuthManager by default

https://gerrit.wikimedia.org/r/291227

Change 291227 merged by jenkins-bot:
Enable AuthManager by default

https://gerrit.wikimedia.org/r/291227

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptMay 31 2016, 8:09 PM

Change 289866 merged by jenkins-bot:
Enable AuthManager in beta

https://gerrit.wikimedia.org/r/289866

Tgr added a subscriber: demon.Jun 10 2016, 6:01 PM

Per email discussion earlier, we should backmerge https://gerrit.wikimedia.org/r/#/c/280945/ today (but do not merge it into master before T111486 is fixed) plus backport all patches in core and bundled extensions to 1.27; then rc1 can be cut.

demon added a comment.Jun 10 2016, 9:03 PM

Per email discussion earlier, we should backmerge https://gerrit.wikimedia.org/r/#/c/280945/ today (but do not merge it into master before T111486 is fixed) plus backport all patches in core and bundled extensions to 1.27; then rc1 can be cut.

Backport to REL1_27 merged.

Tgr added a comment.Jun 10 2016, 9:35 PM

All the relevant core and bundle backports have been merged too, I think.

demon closed this task as Resolved.Jun 13 2016, 10:08 PM
demon claimed this task.